Summary: Scanner access software.
Name: sane
Version: 1.0.3
Release: 10.5
License: GPL (programs), relaxed LGPL (libraries), and public domain (docs)
Group: Applications/System
Source: ftp://ftp.mostang.com/pub/sane/%{name}-%{version}.tar.gz
Patch0: sane-sparc.patch
Patch1: include.patch
Patch2: sane-sg3timeout.patch
Patch3: sane-backends-1.0.5-tmpfile-bh.patch
Patch4: sane-1.0.3-tmpfile-dc25.patch
Patch5: sane-1.0.3-tmpfile-qcam.patch
Patch6: sane-backends-1.0.5-tmpfile-snapscan.patch
Patch7: sane-backends-1.0.5-tmpfile-st400.patch
Patch8: sane-1.0.3-saned.patch
Patch9: sane-1.0.3-ppc-compile.patch
URL: http://www.mostang.com/sane/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tetex-latex libtool
%ifnarch ia64 sparc64
Provides: libsane.so.1
%else
Provides: libsane.so.1()(64bit)
%endif
Prereq: /sbin/ldconfig, /bin/mktemp, /bin/grep
BuildPrereq: tetex-latex

%description
Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.). If
they're using SANE, developers can write image-processing applications
without having to think about the peculiarities of individual devices.
SANE also makes it possible to write a device driver once, which can
then be used by any SANE-compliant application. SANE currently
includes drivers for some Epson SCSI scanners, HP ScanJet SCSI
scanners, Microtek SCSI scanners, Mustek SCSI flatbed scanners, PINT
devices, most UMAX SCSI scanners, Connectix QuickCam, and other SANE
devices via network. Note that this package does not enable network
scanning by default.  If you wish to enable network scanning, read the
saned(1) manpage.  If you'd like to develop SANE modules, you should
also install the sane-devel package.

%package devel
Summary: The SANE (a universal scanner interface) development toolkit.
Group: Development/Libraries
Requires: sane = %{version}

%description devel
Static libraries and header files for writing Scanner Access Now Easy
(SANE) modules.  SANE is a universal scanner interface which is
included in the sane package.

%prep
%setup -q
%patch0 -p1 -b .sparc
%patch1 -p1 -b .tim
%patch2 -p1 -b .sg3timeout

# Fix temporary file handling.
#%patch3 -p1 -b .bh # No bh backend in 1.0.3.
%patch4 -p1 -b .dc25
%patch5 -p1 -b .qcam
%patch6 -p1 -b .snapscan
%patch7 -p3 -b .st400
%patch8 -p1 -b .saned
%patch9 -p1 -b .ppc

%build
%{expand:%%define optflags %{optflags} -DGIMP_ENABLE_COMPAT_CRUFT=1}
%configure
make LIBTOOL=/usr/bin/libtool
make ps -C doc


%install
rm -rf %{buildroot}
%{makeinstall} LIBTOOL=/usr/bin/libtool
perl -pi -e "s/installed.*/installed=yes/g" $RPM_BUILD_ROOT%{_libdir}/libsane.la
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_libdir}/sane

mkdir -p %{buildroot}/etc/X11/applnk/Graphics

rm -f %{buildroot}%{_datadir}/sane-style.rc

%clean
rm -rf %{buildroot}

%post
FNAME=`mktemp /etc/ld.so.conf.XXXXXX`
grep -v "/usr/lib/sane" /etc/ld.so.conf > ${FNAME}
echo "/usr/lib/sane" >> ${FNAME}
cat ${FNAME} > /etc/ld.so.conf
rm -f ${FNAME}
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
  FNAME=`mktemp /etc/ld.so.conf.XXXXXX`
  grep -v "/usr/lib/sane" /etc/ld.so.conf > ${FNAME}
  cat ${FNAME} > /etc/ld.so.conf
  rm -f ${FNAME}
  /sbin/ldconfig
fi

%triggerpostun -- sane < 1.0.2-10
if ! grep -q '^/usr/lib/sane$' /etc/ld.so.conf; then
  echo "/usr/lib/sane" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*.ps doc/icons doc/figs doc/*.man
%doc AUTHORS NEWS PROBLEMS PROJECTS README
%dir /etc/sane.d
%config /etc/sane.d/*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/libsane*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%{_includedir}/sane
%{_libdir}/libsane*.la
%{_libdir}/libsane*.a
%{_libdir}/libsane*.so
%{_libdir}/sane/*.la
%{_libdir}/sane/*.a
%{_libdir}/sane/*.so

%changelog
* Wed Sep 17 2003 Tim Waugh <twaugh@redhat.com> 1.0.3-10.5
- Build on PPC.

* Wed Sep 17 2003 Tim Waugh <twaugh@redhat.com> 1.0.3-10.4
- Make sure to provide libsane.so.1 (partly reverted in last build).

* Wed Sep 17 2003 Tim Waugh <twaugh@redhat.com> 1.0.3-10.3
- Build with installed libtool.

* Thu Sep 11 2003 Tim Waugh <twaugh@redhat.com> 1.0.3-10.2
- Fix saned security issues.

* Thu Dec 20 2001 Tim Waugh <twaugh@redhat.com>
- Fix temporary file handling.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the libtool config file /usr/lib/libsane.la
  kscan should build now. ;)

* Wed Jan 10 2001 Tim Waugh <twaugh@redhat.com>
- Increase timeout for SCSI commands sent via sg driver version 3
  (bug #23447)

* Mon Dec 25 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.2.0

* Thu Dec 21 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.32
- use -DGIMP_ENABLE_COMPAT_CRUFT=1 to build with compat macros

* Mon Dec 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.30

* Fri Dec  1 2000 Tim Waugh <twaugh@redhat.com>
- Rebuild because of fileutils bug.

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- fix provides for ia64/sparc64

* Thu Aug 29 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't include xscanimage desktop entry - it's a gimp
  plugin. Doh. (part of #17076)
- add tetex-latex as a build requirement

* Wed Aug 23 2000 Matt Wilson <msw@redhat.com>
- built against gimp 1.1.25

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- 1.0.3 bugfix release (#16726)
- rev patch removed, no longer needed

* Tue Aug 15 2000 Than Ngo <than@redhat.com>
- add triggerpostun to fix removing path from ld.so.conf at update

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Swedish and German translations to desktop file, Bug #15317

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- use mktemp in post and postun scripts
- fix incorrect usage of rev in backend/Makefile

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- workarounds for weird bug (all so-files had names with "s="
  - except for sparc which has just "=" and IA64 which works)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp-1.1.24

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths
- work around ICE on intel.  FIX ME!

* Mon May 22 2000 Tim Powers <timp@redhat.com>
-  rebuilt w/ glibc-2.1.90

* Thu May 18 2000 Tim Powers <timp@redhat.com>
- updated to 1.0.2

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- make it play nice with xsane, add ld.so.conf entries

* Wed Apr 21 1999 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- updated package

* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.73

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- umax drivers were missing from the file list.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig
- fixed library problem

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- got newer package from Sane web site than our old powertools one
